scala.tools.cmd.gen

# AnyValTemplates

#### trait AnyValTemplates extends AnyRef

Source
  AnyVals.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AnyVals
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AnyValTemplates
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AnyValTemplates to any2stringadd[AnyValTemplates] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AnyValTemplates, B)

   Implicit information
     This member is added by an implicit conversion from AnyValTemplates to ArrowAssoc[AnyValTemplates] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def allCompanions: String

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def cardinalCompanion: String

9. #### def classDocTemplate: String

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (AnyValTemplates) ⇒ Boolean, msg: ⇒ Any): AnyValTemplates

    Implicit information
      This member is added by an implicit conversion from AnyValTemplates to Ensuring[AnyValTemplates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (AnyValTemplates) ⇒ Boolean): AnyValTemplates

    Implicit information
      This member is added by an implicit conversion from AnyValTemplates to Ensuring[AnyValTemplates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): AnyValTemplates

    Implicit information
      This member is added by an implicit conversion from AnyValTemplates to Ensuring[AnyValTemplates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): AnyValTemplates

    Implicit information
      This member is added by an implicit conversion from AnyValTemplates to Ensuring[AnyValTemplates] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def floatingCompanion: String

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AnyValTemplates to StringFormat[AnyValTemplates] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def headerTemplate: String

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def nonUnitCompanions: String

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (AnyValTemplates, B)

    Implicit information
      This member is added by an implicit conversion from AnyValTemplates to ArrowAssoc[AnyValTemplates] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AnyValTemplates to any2stringadd[AnyValTemplates]

### Inherited by implicit conversion StringFormat from AnyValTemplates to StringFormat[AnyValTemplates]

### Inherited by implicit conversion Ensuring from AnyValTemplates to Ensuring[AnyValTemplates]

### Inherited by implicit conversion ArrowAssoc from AnyValTemplates to ArrowAssoc[AnyValTemplates]

### Ungrouped